import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

class TdChartSeriesScatterComponent extends TdSeriesDirective {
    constructor(_optionsService) {
        super('scatter', _optionsService);
    }
    getConfig() {
        return {
            coordinateSystem: this.coordinateSystem,
            xAxisIndex: this.xAxisIndex,
            yAxisIndex: this.yAxisIndex,
            polarIndex: this.polarIndex,
            geoIndex: this.geoIndex,
            calendarIndex: this.calendarIndex,
            hoverAnimation: this.hoverAnimation,
            legendHoverLink: this.legendHoverLink,
            symbol: this.symbol,
            symbolSize: this.symbolSize,
            symbolRotate: this.symbolRotate,
            symbolKeepAspect: this.symbolKeepAspect,
            symbolOffset: this.symbolOffset,
            large: this.large,
            largeThreshold: this.largeThreshold,
            cursor: this.cursor,
            label: this.label,
            itemStyle: this.itemStyle,
            emphasis: this.emphasis,
            progressive: this.progressive,
            progressiveThreshold: this.progressiveThreshold,
            dimensions: this.dimensions,
            encode: this.encode,
            seriesLayoutBy: this.seriesLayoutBy,
            datasetIndex: this.datasetIndex,
            markPoint: this.markPoint,
            markLine: this.markLine,
            markArea: this.markArea,
            zlevel: this.zlevel,
            z: this.z,
            silent: this.silent,
        };
    }
}
TdChartSeriesScatterComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.5", ngImport: i0, type: TdChartSeriesScatterComponent, deps: [{ token: i1.TdChartOptionsService }], target: i0.ɵɵFactoryTarget.Component });
TdChartSeriesScatterComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.5", type: TdChartSeriesScatterComponent, selector: "td-chart-series[td-scatter]", inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", coordinateSystem: "coordinateSystem", xAxisIndex: "xAxisIndex", yAxisIndex: "yAxisIndex", polarIndex: "polarIndex", geoIndex: "geoIndex", calendarIndex: "calendarIndex", hoverAnimation: "hoverAnimation", legendHoverLink: "legendHoverLink", symbol: "symbol", symbolSize: "symbolSize", symbolRotate: "symbolRotate", symbolKeepAspect: "symbolKeepAspect", symbolOffset: "symbolOffset", large: "large", largeThreshold: "largeThreshold", cursor: "cursor", label: "label", itemStyle: "itemStyle", emphasis: "emphasis", progressive: "progressive", progressiveThreshold: "progressiveThreshold", dimensions: "dimensions", encode: "encode", seriesLayoutBy: "seriesLayoutBy", datasetIndex: "datasetIndex", markPoint: "markPoint", markLine: "markLine", markArea: "markArea", zlevel: "zlevel", z: "z", silent: "silent" }, providers: [
        {
            provide: TdSeriesDirective,
            useExisting: forwardRef(() => TdChartSeriesScatterComponent),
        },
    ], usesInheritance: true, ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.5", ngImport: i0, type: TdChartSeriesScatterComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'td-chart-series[td-scatter]',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    inputs: [
                        'config',
                        'id',
                        'name',
                        'color',
                        'data',
                        'animation',
                        'animationThreshold',
                        'animationDuration',
                        'animationEasing',
                        'animationDelay',
                        'animationDurationUpdate',
                        'animationEasingUpdate',
                        'animationDelayUpdate',
                        'tooltip',
                    ],
                    providers: [
                        {
                            provide: TdSeriesDirective,
                            useExisting: forwardRef(() => TdChartSeriesScatterComponent),
                        },
                    ],
                }]
        }], ctorParameters: function () { return [{ type: i1.TdChartOptionsService }]; }, propDecorators: { coordinateSystem: [{
                type: Input
            }], xAxisIndex: [{
                type: Input
            }], yAxisIndex: [{
                type: Input
            }], polarIndex: [{
                type: Input
            }], geoIndex: [{
                type: Input
            }], calendarIndex: [{
                type: Input
            }], hoverAnimation: [{
                type: Input
            }], legendHoverLink: [{
                type: Input
            }], symbol: [{
                type: Input
            }], symbolSize: [{
                type: Input
            }], symbolRotate: [{
                type: Input
            }], symbolKeepAspect: [{
                type: Input
            }], symbolOffset: [{
                type: Input
            }], large: [{
                type: Input
            }], largeThreshold: [{
                type: Input
            }], cursor: [{
                type: Input
            }], label: [{
                type: Input
            }], itemStyle: [{
                type: Input
            }], emphasis: [{
                type: Input
            }], progressive: [{
                type: Input
            }], progressiveThreshold: [{
                type: Input
            }], dimensions: [{
                type: Input
            }], encode: [{
                type: Input
            }], seriesLayoutBy: [{
                type: Input
            }], datasetIndex: [{
                type: Input
            }], markPoint: [{
                type: Input
            }], markLine: [{
                type: Input
            }], markArea: [{
                type: Input
            }], zlevel: [{
                type: Input
            }], z: [{
                type: Input
            }], silent: [{
                type: Input
            }] } });

const SCATTER_MODULE_COMPONENTS = [
    TdChartSeriesScatterComponent,
];
class CovalentScatterEchartsModule {
}
CovalentScatterEchartsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.5", ngImport: i0, type: CovalentScatterEchartsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
CovalentScatterEchartsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.2.5", ngImport: i0, type: CovalentScatterEchartsModule, declarations: [TdChartSeriesScatterComponent], imports: [CommonModule], exports: [TdChartSeriesScatterComponent] });
CovalentScatterEchartsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.2.5", ngImport: i0, type: CovalentScatterEchartsModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.5", ngImport: i0, type: CovalentScatterEchartsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [SCATTER_MODULE_COMPONENTS],
                    exports: [SCATTER_MODULE_COMPONENTS],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentScatterEchartsModule, SCATTER_MODULE_COMPONENTS, TdChartSeriesScatterComponent };
//# sourceMappingURL=covalent-echarts-scatter.mjs.map
